Subject: Re: [EGit PATCH] IgnoreAction to add to .gitignore files

From: "Ferry Huberts (Pelagic)" <[email-masked]>
Date: Thu, 23 Apr 2009 22:17:56 +0200

Robin Rosenberg wrote:
> torsdag 23 april 2009 14:32:46 skrev Alex Blewitt <[email-masked]>:
>> Actually, that's pretty much exactly the format that Eclipse users  
>> will be expecting.
>>
>> CVS: Add to .cvsignore
>> SVN: Add to svn:ignore
>>
>> I suggest that we go with that style of format for the menu items, in  
>> order to achieve consistency with the way that the other team  
>> providers work.
> 
> Ouch, top posting....
> 
> Anyway, I agree  with Alex. My motivation is that there are more
> than one way to specify ignore. There's .gitignore, .git/info/excludedes
> and the Team ignore settings themselves. This option specifically
> messes with .gitignore. 
> 
while we're on the subject...
how about also adding the reverse: when a file is ignored then add it to
the .gitignore file for 'un-ignoring' (the '!' pattern)